import { 
 myRequest 
} from './request.js'
 
// 查询所有权限
export function queryJurisdiction(data) { 
 return myRequest({ 
  url: 'merchant_service/StoreBranch/queryJurisdiction', 
  method: 'get', 
  data 
 }) 
} 
// 门店下添加部门
export function addStoreBranch(data) { 
 return myRequest({ 
  url: 'merchant_service/StoreBranch/addStoreBranch', 
  method: 'post', 
  data 
 }) 
} 
// 根据门店查询所有部门
export function queryStoreBranchBymerid(data) { 
 return myRequest({ 
  url: 'merchant_service/StoreBranch/queryStoreBranchBymerid', 
  method: 'post', 
  data 
 }) 
} 
// 添加门店员工
export function storeStafAdd(data) { 
 return myRequest({ 
  url: 'merchant_service/StoreStall/storeStafAdd', 
  method: 'post', 
  data 
 }) 
} 
// 根据部门id查询所有员工
export function queryStoreStaff(data) { 
 return myRequest({ 
  url: 'merchant_service/StoreStall/queryStoreStaff', 
  method: 'post', 
  data 
 }) 
} 
// 修改门店员工信息
export function updateStoreStaff(data) { 
 return myRequest({ 
  url: 'merchant_service/StoreStall/updateStoreStaff', 
  method: 'post', 
  data 
 }) 
} 
//获取验证码
export function userPhoneLogOnCode(data) { 
 return myRequest({ 
  url: 'userCenter_service/userLogOnService/userPhoneLogOnCode', 
  method: 'post', 
  data 
 }) 
} 
// 登录注册
export function userPhoneLogOn(data) { 
 return myRequest({ 
  url: 'userCenter_service/userLogOnService/userPhoneLogOn', 
  method: 'post', 
  data 
 }) 
} 
// 用户状态判断
export function selectMerchant(data) { 
 return myRequest({ 
  url: 'merchant_service/merchantSettleInService/selectMerchant', 
  method: 'post', 
  data 
 }) 
} 
// 上传照片
export function uploadPicture(data) { 
 return myRequest({ 
  url: 'merchant_service/merchantSettleInService/uploadPicture', 
  method: 'post', 
  data 
 }) 
} 

// 银行列表
export function settlementBank(data) { 
 return myRequest({ 
  url: 'merchant_service/merchantSettleInService/settlementBank', 
  method: 'post', 
  data 
 }) 
} 

// 省市区
export function addressList(data) { 
 return myRequest({ 
  url: 'merchant_service/merchantSettleInService/addressList', 
  method: 'post', 
  data 
 }) 
} 

// 门店分类
export function selectMerchantSort(data) { 
 return myRequest({ 
  url: 'wares_service/waresServiceMerchant/selectMerchantSort', 
  method: 'get', 
  data 
 }) 
} 

// 提交店铺申请
export function merchaSettlen(data) { 
 return myRequest({ 
  url: 'merchant_service/merchantSettleInService/merchaSettlen', 
  method: 'post', 
  data 
 }) 
} 

// 修改店铺申请
export function updateMerchaSettlen(data) { 
 return myRequest({ 
  url: 'merchant_service/merchantSettleInService/updateMerchaSettlen', 
  method: 'post', 
  data 
 }) 
} 

// 更具商户ID查询商户提交的数据
export function selectMerchaSettlen(data) { 
 return myRequest({ 
  url: 'merchant_service/merchantSettleInService/selectMerchaSettlen', 
  method: 'post', 
  data 
 }) 
} 

// 激活码
export function updateActivationCode(data) { 
 return myRequest({ 
  url: 'merchant_service/merchantSettleInService/updateActivationCode', 
  method: 'post', 
  data 
 }) 
} 

// 创建支付订单
export function insterMerchantOrder(data) { 
 return myRequest({ 
  url: 'merchant_service/merchantSettleInService/insterMerchantOrder', 
  method: 'post', 
  data 
 }) 
} 
// 通过部门id查询权限
export function queryStoreBranch(data) { 
 return myRequest({ 
  url: 'merchant_service/StoreStall/queryStoreBranch', 
  method: 'post', 
  data 
 }) 
} 
// 环信注册
export function getImUser(data) { 
 return myRequest({ 
  url: 'merchant_service/cashierService/getImUser', 
  method: 'post', 
  data 
 }) 
} 

